__gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >(3)

NAME
__gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash > - Traits for abstract types.

SYNOPSIS

Inherits __gnu_pbds::detail::maybe_null_type< Key, Mapped, _Alloc, Store_Hash >.

Inherited by __gnu_pbds::detail::cc_ht_map< Key, Mapped, Hash_Fn, Eq_Fn, _Alloc, Store_Hash, Comb_Hash_Fn, Resize_Policy >, and __gnu_pbds::detail::gp_ht_map< Key, Mapped, Hash_Fn, Eq_Fn, _Alloc, Store_Hash, Comb_Probe_Fn, Probe_Fn, Resize_Policy >.

  Public Types
typedef std::pair< size_type, size_type > comp_hash
typedef __rebind_va::const_pointer const_pointer
typedef __rebind_va::const_reference const_reference
typedef __rebind_ka::const_pointer key_const_pointer
typedef __rebind_ka::const_reference key_const_reference
typedef __rebind_ka::pointer key_pointer
typedef __rebind_ka::reference key_reference
typedef Key key_type
typedef __rebind_ma::const_pointer mapped_const_pointer
typedef __rebind_ma::const_reference mapped_const_reference
typedef __rebind_ma::pointer mapped_pointer
typedef __rebind_ma::reference mapped_reference
typedef Mapped mapped_type
typedef __nothrowcopy::indicator no_throw_indicator
typedef __rebind_va::pointer pointer
typedef __rebind_va::reference reference
typedef _Alloc::size_type size_type
typedef integral_constant< int, Store_Hash > store_extra
typedef stored_data< value_type, size_type, Store_Hash > stored_data_type
typedef select_value_type< Key, Mapped >::type value_type

  Public Attributes
no_throw_indicator m_no_throw_copies_indicator
store_extra m_store_extra_indicator

Detailed Description

  template<typename Key, typename Mapped, typename _Alloc, bool Store_Hash>
struct __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >" Traits for abstract types.

Definition at line 154 of file types_traits.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.